Index: trunk/NEMO/OPA_SRC/SBC/sbcrnf.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 1601)
@@ -37,5 +37,5 @@
    REAL(wp)          , PUBLIC ::   rn_hrnf      = 0.e0    !: runoffs, depth over which enhanced vertical mixing is used
    REAL(wp)          , PUBLIC ::   rn_avt_rnf   = 0.e0    !: runoffs, value of the additional vertical mixing coef. [m2/s]
-   REAL(wp)          , PUBLIC ::   rn_mul_rnf   = 1.e0    !: multiplicative factor for runoff
+   REAL(wp)          , PUBLIC ::   rn_rfact     = 1.e0    !: multiplicative factor for runoff
 
    INTEGER , PUBLIC                     ::   nkrnf = 0   !: number of levels over which Kz is increased at river mouths
@@ -103,6 +103,6 @@
 
          IF( MOD( kt-1, nn_fsbc ) == 0 ) THEN
-            emp (:,:) = emp (:,:) - rn_mul_rnf * ABS( sf_rnf(1)%fnow(:,:) )
-            emps(:,:) = emps(:,:) - rn_mul_rnf * ABS( sf_rnf(1)%fnow(:,:) )
+            emp (:,:) = emp (:,:) - rn_rfact * ABS( sf_rnf(1)%fnow(:,:) )
+            emps(:,:) = emps(:,:) - rn_rfact * ABS( sf_rnf(1)%fnow(:,:) )
             CALL iom_put( "runoffs", sf_rnf(1)%fnow )         ! runoffs
          ENDIF
@@ -126,5 +126,5 @@
       !!
       NAMELIST/namsbc_rnf/ cn_dir, ln_rnf_emp, sn_rnf, sn_cnf, ln_rnf_mouth,   &
-         &                 rn_hrnf, rn_avt_rnf, rn_mul_rnf
+         &                 rn_hrnf, rn_avt_rnf, rn_rfact
       !!----------------------------------------------------------------------
 
@@ -152,5 +152,5 @@
          WRITE(numout,*) '      river mouth additional Kz                  rn_avt_rnf   = ', rn_avt_rnf
          WRITE(numout,*) '      depth of river mouth additional mixing     rn_hrnf      = ', rn_hrnf
-         WRITE(numout,*) '      multiplicative factor for runoff           rn_mul_rnf   = ', rn_mul_rnf  
+         WRITE(numout,*) '      multiplicative factor for runoff           rn_rfact     = ', rn_rfact    
       ENDIF
 
@@ -228,5 +228,5 @@
       !!                rnfmsk_z vertical structure
       !!----------------------------------------------------------------------
-      USE closea, ONLY :    nclosea, clo_rnf   ! closed sea flag, rnfmsk update routine
+      USE closea, ONLY :    clo_rnf   ! rnfmsk update routine
       !
       INTEGER           ::   inum        ! temporary integers
Index: trunk/NEMO/OPA_SRC/SBC/sbcssr.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 1601)
@@ -32,9 +32,11 @@
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qrp      !: heat flux damping        [w/m2]
 
-   !                                      !!* Namelist namsbc_ssr *
-   INTEGER, PUBLIC ::   nn_sstr, nn_sssr   ! SST/SSS restoring indicator
-   REAL(wp)        ::   dqdt, deds         ! restoring factor on SST and SSS
-   LOGICAL         ::   ln_sssr_bnd        ! flag to bound erp term 
-   REAL(wp)        ::   rn_sssr_bnd        ! ABS(Max./Min.) value of erp term [mm/day]
+   !                                           !!* Namelist namsbc_ssr *
+   INTEGER, PUBLIC ::   nn_sstr     =   0       ! SST/SSS restoring indicator
+   INTEGER, PUBLIC ::   nn_sssr     =   0       ! SST/SSS restoring indicator
+   REAL(wp)        ::   rn_dqdt     = -40.e0    ! restoring factor on SST and SSS
+   REAL(wp)        ::   rn_deds     = -27.70    ! restoring factor on SST and SSS
+   LOGICAL         ::   ln_sssr_bnd = .false.   ! flag to bound erp term 
+   REAL(wp)        ::   rn_sssr_bnd =   0.e0    ! ABS(Max./Min.) value of erp term [mm/day]
 
    REAL(wp) , ALLOCATABLE, DIMENSION(:) ::   buffer   ! Temporary buffer for exchange
@@ -71,5 +73,5 @@
       REAL(wp) ::   zerp     ! local scalar for evaporation damping
       REAL(wp) ::   zqrp     ! local scalar for heat flux damping
-      REAL(wp) ::   zsrp     ! local scalar for unit conversion of deds factor
+      REAL(wp) ::   zsrp     ! local scalar for unit conversion of rn_deds factor
       REAL(wp) ::   zerp_bnd ! local scalar for unit conversion of rn_epr_max factor
       INTEGER  ::   ierror   ! return error code
@@ -77,5 +79,5 @@
       CHARACTER(len=100) ::  cn_dir          ! Root directory for location of ssr files
       TYPE(FLD_N) ::   sn_sst, sn_sss        ! informations about the fields to be read
-      NAMELIST/namsbc_ssr/ cn_dir, nn_sstr, nn_sssr, dqdt, deds, sn_sst, sn_sss, ln_sssr_bnd, rn_sssr_bnd
+      NAMELIST/namsbc_ssr/ cn_dir, nn_sstr, nn_sssr, rn_dqdt, rn_deds, sn_sst, sn_sss, ln_sssr_bnd, rn_sssr_bnd
       !!----------------------------------------------------------------------
       !
@@ -83,8 +85,5 @@
       IF( kt == nit000 ) THEN                         ! First call kt=nit000 !
          !                                            ! -------------------- !
-         nn_sstr = 0                  !* set file information
-         nn_sssr = 0
-         dqdt    = -40.e0
-         deds    = -27.70
+         !                            !* set file information
          cn_dir  = './'            ! directory in which the model is executed
          ! ... default values (NB: frequency positive => hours, negative => months)
@@ -101,11 +100,12 @@
             WRITE(numout,*) 'sbc_ssr : SST and/or SSS damping term '
             WRITE(numout,*) '~~~~~~~ '
-            WRITE(numout,*) '          SST restoring term (Yes=1)             nn_sstr = ', nn_sstr
-            WRITE(numout,*) '          SSS damping term (Yes=1, salt flux)    nn_sssr = ', nn_sssr
-            WRITE(numout,*) '                           (Yes=2, volume flux) '
-            WRITE(numout,*) '          dQ/dT (restoring magnitude on SST)     dqdt    = ', dqdt, ' W/m2/K'
-            WRITE(numout,*) '          dE/dS (restoring magnitude on SST)     deds    = ', deds, ' mm/day'
-            WRITE(numout,*) '          flag to bound erp term             ln_sssr_bnd = ', ln_sssr_bnd
-            WRITE(numout,*) '          ABS(Max./Min.) erp threshold       rn_sssr_bnd = ', rn_sssr_bnd, ' mm/day'
+            WRITE(numout,*) '   Namelist namsbc_ssr :'
+            WRITE(numout,*) '      SST restoring term (Yes=1)             nn_sstr     = ', nn_sstr
+            WRITE(numout,*) '      SSS damping term (Yes=1, salt flux)    nn_sssr     = ', nn_sssr
+            WRITE(numout,*) '                       (Yes=2, volume flux) '
+            WRITE(numout,*) '      dQ/dT (restoring magnitude on SST)     rn_dqdt     = ', rn_dqdt, ' W/m2/K'
+            WRITE(numout,*) '      dE/dS (restoring magnitude on SST)     rn_deds     = ', rn_deds, ' mm/day'
+            WRITE(numout,*) '      flag to bound erp term                 ln_sssr_bnd = ', ln_sssr_bnd
+            WRITE(numout,*) '      ABS(Max./Min.) erp threshold           rn_sssr_bnd = ', rn_sssr_bnd, ' mm/day'
          ENDIF
 
@@ -154,5 +154,5 @@
                DO jj = 1, jpj
                   DO ji = 1, jpi
-                     zqrp = dqdt * ( sst_m(ji,jj) - sf_sst(1)%fnow(ji,jj) )
+                     zqrp = rn_dqdt * ( sst_m(ji,jj) - sf_sst(1)%fnow(ji,jj) )
                      qns(ji,jj) = qns(ji,jj) + zqrp
                      qrp(ji,jj) = zqrp
@@ -163,5 +163,5 @@
             !
             IF( nn_sssr == 1 ) THEN                   !* Salinity damping term (salt flux, emps only)
-               zsrp = deds / rday                                     ! from [mm/day] to [kg/m2/s]
+               zsrp = rn_deds / rday                                  ! from [mm/day] to [kg/m2/s]
 !CDIR COLLAPSE
                DO jj = 1, jpj
@@ -175,6 +175,7 @@
                END DO
                CALL iom_put( "erp", erp )                             ! freshwater flux damping
+               !
             ELSEIF( nn_sssr == 2 ) THEN               !* Salinity damping term (volume flux, emp and emps)
-               zsrp = deds / rday                                     ! from [mm/day] to [kg/m2/s]
+               zsrp = rn_deds / rday                                  ! from [mm/day] to [kg/m2/s]
                zerp_bnd = rn_sssr_bnd / rday                          !       -              -    
 !CDIR COLLAPSE
Index: trunk/NEMO/OPA_SRC/SOL/sol_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SOL/sol_oce.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/SOL/sol_oce.F90	(revision 1601)
@@ -2,17 +2,8 @@
    !!======================================================================
    !!                    ***  MODULE  sol_oce  ***
-   !! Ocean solver :  solver variables defined in memory 
-   !!=====================================================================
-   !!
-   !! ** Purpose :   Define in memory solver variables
-   !!
-   !! History :
-   !!   9.0  !  02-11  (G. Madec)  F90: Free form and module
+   !! Ocean solver :  elliptic solver variables defined in memory 
+   !!======================================================================
+   !! History :  1.0  !  02-11  (G. Madec)  F90: Free form and module
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-   !! * Modules used
    USE par_oce         ! ocean parameters
 
@@ -20,46 +11,37 @@
    PRIVATE
 
-   !!----------------------------
-   !! elliptic solver: SOR or PCG
-   !! ---------------------------
-   INTEGER , PUBLIC ::      & !!: namsol   elliptic solver / free surface
-      nsolv    =    1 ,     &  !: = 1/2 type of elliptic solver
-      nsol_arp =    0 ,     &  !: = 0/1 absolute/relative precision convergence test
-      nmin     =  300 ,     &  !: minimum of iterations for the SOR solver
-      nmax     =  800 ,     &  !: maximum of iterations for the SOR solver
-      nmod     =   10          !: frequency of test for the SOR solver
-     
-   REAL(wp), PUBLIC ::      & !!: namsol   elliptic solver / free surface
-      eps    =  1.e-6_wp ,  &  !: absolute precision of the solver
-      resmax = 1.e-14_wp ,  &  !: absolute precision for the SOR solver
-      sor    =   1.92_wp ,  &  !: optimal coefficient for the SOR solver
-      rnu    =    1.0_wp       !: strength of the additional force used in free surface
+   !                                             !!* Namelist namsol : elliptic solver *
+   INTEGER , PUBLIC ::   nn_solv    =    1        !: = 1/2 type of elliptic solver
+   INTEGER , PUBLIC ::   nn_sol_arp =    0        !: = 0/1 absolute/relative precision convergence test
+   INTEGER , PUBLIC ::   nn_nmin    =  300        !: minimum of iterations for the SOR solver
+   INTEGER , PUBLIC ::   nn_nmax    =  800        !: maximum of iterations for the SOR solver
+   INTEGER , PUBLIC ::   nn_nmod    =   10        !: frequency of test for the SOR solver
+   REAL(wp), PUBLIC ::   rn_eps     =  1.e-6_wp   !: absolute precision of the solver
+   REAL(wp), PUBLIC ::   rn_resmax  = 1.e-14_wp   !: absolute precision for the SOR solver
+   REAL(wp), PUBLIC ::   rn_sor     =   1.92_wp   !: optimal coefficient for the SOR solver
+   REAL(wp), PUBLIC ::   rn_nu      =    1.0_wp   !: strength of the additional force used in free surface
 
-   CHARACTER(len=1), PUBLIC ::   &  !:
-      c_solver_pt = 'T'        !: nature of grid-points T (S) for free surface case
+   CHARACTER(len=1), PUBLIC ::   c_solver_pt = 'T'   !: nature of grid-points T (S) for free surface case
 
-   INTEGER , PUBLIC ::   &  !:
-      ncut,         &  !: indicator of solver convergence
-      niter            !: number of iteration done by the solver
+   INTEGER , PUBLIC ::   ncut        !: indicator of solver convergence
+   INTEGER , PUBLIC ::   niter       !: number of iteration done by the solver
 
-   REAL(wp), PUBLIC ::   &  !:
-      epsr,         &  !: relative precision for SOR & PCG solvers
-      rnorme, res,  &  !: intermediate modulus, solver residu
-      alph,         &  !: coefficient  =(gcr,gcr)/(gcx,gccd)
-      beta,         &  !: coefficient  =(rn+1,rn+1)/(rn,rn)
-      radd,         &  !: coefficient  =(gccd,gcdes)
-      rr               !: coefficient  =(rn,rn)
+   REAL(wp), PUBLIC ::   eps, epsr   !: relative precision for SOR & PCG solvers
+   REAL(wp), PUBLIC ::   rnorme      !: intermediate modulus
+   REAL(wp), PUBLIC ::   res         !: solver residu
+   REAL(wp), PUBLIC ::   alph        !: coefficient  =(gcr,gcr)/(gcx,gccd)
+   REAL(wp), PUBLIC ::   beta        !: coefficient  =(rn+1,rn+1)/(rn,rn)
+   REAL(wp), PUBLIC ::   radd        !: coefficient  =(gccd,gcdes)
+   REAL(wp), PUBLIC ::   rr          !: coefficient  =(rn,rn)
 
-   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj,4) ::   &  !:
-      gcp              !: barotropic matrix extra-diagonal elements
-
-   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj) ::   &  !:
-      gcx, gcxb,    &  !: now, before solution of the elliptic equation
-      gcdprc,       &  !: inverse diagonal preconditioning matrix
-      gcdmat,       &  !: diagonal preconditioning matrix
-      gcb,          &  !: second member of the barotropic linear system
-      gcr,          &  !: residu =b-a.x
-      gcdes,        &  !: vector descente
-      gccd             !: vector such that ca.gccd=a.d (ca-1=gcdprc)
+   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj,4) ::   gcp     !: matrix extra-diagonal elements
+   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj)   ::   gcx     !: now    solution of the elliptic eq.
+   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj)   ::   gcxb    !: before solution of the elliptic eq.
+   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj)   ::   gcdprc  !: inverse diagonal preconditioning matrix
+   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj)   ::   gcdmat  !: diagonal preconditioning matrix
+   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj)   ::   gcb     !: second member of the elliptic eq.
+   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj)   ::   gcr     !: residu =b-a.x
+   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj)   ::   gcdes   !: vector descente
+   REAL(wp), PUBLIC, DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj)   ::   gccd    !: gccd= gcdprc^-1.a.d 
 
 #if defined key_agrif
@@ -68,3 +50,7 @@
 
    !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 END MODULE sol_oce
